arm(1)

NAME
arm - Terminal Tor status monitor

SYNOPSIS
arm [OPTION]

DESCRIPTION
The anonymizing relay monitor (arm) is a terminal status monitor for Tor relays, intended for command-line aficionados, ssh connections, and anyone stuck with a tty terminal. This works much like top does for system usage, providing real time statistics for:
  * bandwidth, cpu, and memory usage
  * relay's current configuration
  * logged events
  * connection details (ip, hostname, fingerprint, and consensus data)
  * etc Defaults and interface properties are configurable via a user provided configuration file (for an example see the provided armrc.sample). Releases and information are available at http://www.atagar.com/arm.

OPTIONS

-i, --interface [ADDRESS:]PORT
    tor control port arm should attach to (default is 127.0.0.1:9051)

-c, --config CONFIG_PATH
    user provided configuration file (default is ~/.arm/armrc)

-d, --debug
    writes all arm logs to ~/.arm/log

-b, --blind
    disable connection lookups (netstat, lsof, and ss), dropping the parts of the interface that rely on this information

-e, --event EVENT_FLAGS
    flags for tor, arm, and torctl events to be logged (default is N3)
      d DEBUG a ADDRMAP k DESCCHANGED s STREAM
      i INFO f AUTHDIR_NEWDESCS g GUARD r STREAM_BW
      n NOTICE h BUILDTIMEOUT_SET l NEWCONSENSUS t STATUS_CLIENT
      w WARN b BW m NEWDESC u STATUS_GENERAL
      e ERR c CIRC p NS v STATUS_SERVER
                   j CLIENTS_SEEN q ORCONN
        DINWE tor runlevel+ A All Events
        12345 arm runlevel+ X No Events
        67890 torctl runlevel+ U Unknown Events

-v, --version
    provides version information

-h, --help
    provides usage information

FILES

~/.arm/armrc
    Your personal arm configuration file

/usr/share/doc/arm/armrc.sample
    Sample armrc configuration file that documents all options

AUTHOR
Written by Damian Johnson (atagar@torproject.org)